Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.distributed.util
Class SubordinateServerResponse

    java.lang.Object
      org.jboss.messaging.core.distributed.util.SubordinateServerResponse

All Implemented Interfaces:
  java.io.Serializable

public class SubordinateServerResponse
extends java.lang.Object
implements java.io.Serializable

A carrier for a response coming from a single sub-server object. Instances of this class will be sent over the network.

Version:
  `$Revision: 1.2 $`
Author:
  Ovidiu Feodorov
See Also:
  Serialized Form

Field Summary
`protected java.lang.Object` | `result`
`protected java.io.Serializable` | `subServerID`

Constructor Summary
`SubordinateServerResponse(java.io.Serializable subServerID, java.lang.Object result)`

Method Summary
`java.lang.Object` | `getInvocationResult()` Return the result as it was returned by the remote sub-server (it can be null), or a Throwable, if the remote invocation generated an exception.
`java.io.Serializable` | `getSubServerID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### subServerID

    protected java.io.Serializable subServerID

### result

    protected java.lang.Object result

Constructor Detail

### SubordinateServerResponse

    public SubordinateServerResponse(java.io.Serializable subServerID,
                                     java.lang.Object result)

Method Detail

### getSubServerID

    public java.io.Serializable getSubServerID()

### getInvocationResult

    public java.lang.Object getInvocationResult()

  Return the result as it was returned by the remote sub-server (it can be null), or a Throwable, if the remote invocation generated an exception.

  Returns:
    - the result, null or a Throwable.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.